#ifdef Z_SL_OPENGLES

	uniform lowp sampler2D u_Texture;
	uniform lowp sampler2D u_MaskTexture;
	uniform lowp sampler2D u_IconTexture;
		
	// --- Attributes
	
	#ifdef Z_SHADER_VERTEX 

		attribute highp vec4 a_Position;
	
		attribute mediump vec2 a_TexCoords;
		attribute mediump vec2 a_TexCoords2;
		
	#endif
		
	// --- Varyings
	
	varying mediump vec2 v_TexCoords;
	varying mediump vec2 v_TexCoords2;

	// --- Main
	
	#ifdef Z_SHADER_VERTEX

		void main()
		{
			gl_Position = a_Position;
			v_TexCoords = a_TexCoords;
			v_TexCoords2 = a_TexCoords2;
		}
		
	#else
				
		void main()
		{		
			lowp vec3 screenshotTexValue = texture2D(u_Texture, v_TexCoords).rgb;
			lowp vec4 maskTexValue = texture2D(u_MaskTexture, v_TexCoords2);
			
			lowp vec4 withMask = vec4(screenshotTexValue, 1.0) * maskTexValue;

			gl_FragColor = withMask;
		}
		
	#endif
		
#endif